%error1 = ForceRequiredAddOn("Support_Garage");
%error2 = ForceRequiredAddOn("Vehicle_Jeep");
%error3 = ForceRequiredAddOn("Support_EngineSounds");

if(%error3 != $Error::None)
	error("ERROR: Vehicle_Bearcat - optional add-on Support_EngineSounds not found");

if(%error1 == $Error::AddOn_NotFound || %error2 == $Error::AddOn_NotFound)
{
   if(%error1 == $Error::AddOn_NotFound)
      error("ERROR: Vehicle_Bearcat - required add-on Support_Garage not found");
   if(%error2 == $Error::AddOn_NotFound)
      error("ERROR: Vehicle_Bearcat - required add-on Vehicle_Jeep not found");
}
else
{

exec("./base_Data_Sounds.cs");
exec("./base_EngineSound.cs");

exec("./base_Data_Vehicle.cs");
exec("./base_Script_Lights.cs");
exec("./base_Script_Vehicle.cs");

exec("./base_Script_Controls_Brick.cs");
exec("./base_Script_EmergencyLights.cs");
exec("./base_Script_Horn.cs");
exec("./base_Script_setSiren.cs");

exec("./Shared_Data_Wheels.cs");
exec("./Shared_Script_Lights.cs");

exec("./Support_HandsOnVehicle.cs");
exec("./Support_MountedLightBots.cs");
}